import numpy as np
import amodal as am
import graficas as gr

'''Definicion de variables'''
RUTA = '/home/jesus/1tfg/codigo/Programa_Pycharm/FlaskFolder/static/upload_xlsx/PruebaViga200213-1.xlsx'

# Se carga la senal de tiempo
senal = am.Tiempo()
senal.lectura(RUTA)
# Obtener la frf, se integra para obtener movilidad
frf = senal.get_frf()
frf.integrar()
# se escribe un fichero con el diagrama bode
gr.bode_html(frf,'bode.html')
# Definimos el rango de frecuencias a analizar, y la clase modos
rangos_modos = np.array([[31,33]])
modos = am.Modal(frf,rango_unico=rangos_modos)
# Se calcula el circle fit, exportando las graficas de debug
modos.circle_fit(debug_sp=True, debug_psi=True ,debug_nyquist=True )
